﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using Domain.Entities;
using System.Data.Entity;

namespace Domain.Repositories
{
    // Concrete implemementation of IFilmsRepository, to get films from the database.
    public class SqlFilmsRepository : IFilmsRepository
    {
        private DbSet<Film> films;

        public SqlFilmsRepository(string connectionString)
        {
            films = (new FilmsRUsContext(connectionString)).Films;
        }

        // Returns films from the database.
        public IList<Film> Films
        {
            get { return films.ToList(); }
        }
    }
}
